Orxonox: orxonox::GSLevel Class Reference

# orxonox::GSLevel Class Reference

`#include <src/orxonox/gamestates/GSLevel.h>`

Inheritance diagram for orxonox::GSLevel:

List of all members.

## Public Member Functions

void | activate ()
void | deactivate ()
| GSLevel (const GameStateConstrParams &params)
void | setConfigValues ()
| Function to collect the SetConfigValue-macro calls.
void | update (const Clock &time)
| ~GSLevel ()

## Static Public Member Functions

static void | showIngameGUI (bool show)

## Static Public Attributes

static XMLFile * | startFile_s = NULL

## Protected Member Functions

void | keybind (const std::string &command)
void | keybindInternal (const std::string &command, bool bTemporary)
| Assigns a command string to a key/button/axis. The name is determined via KeyDetector.
void | loadLevel ()
void | tkeybind (const std::string &command)
void | unloadLevel ()

## Protected Attributes

CameraManager * | cameraManager_
| camera manager for this level
ConsoleCommand * | ccKeybind_
ConsoleCommand * | ccTkeybind_
SimpleInputState * | gameInputState_
| input state for normal ingame playing
SimpleInputState * | guiKeysOnlyInputState_
| input state if we only need the keys to use the GUI
SimpleInputState * | guiMouseOnlyInputState_
| input state if we only need the mouse to use the GUI
KeyBinder * | keyBinder_
| tool that loads and manages the input bindings
std::string | keyDetectorCallbackCode_
NotificationManager * | notificationManager_
PlayerManager * | playerManager_
| player manager for this level
QuestManager * | questManager_
Radar * | radar_
| represents the Radar (not the HUD part)

## Constructor & Destructor Documentation

orxonox::GSLevel::GSLevel | ( | const GameStateConstrParams & | params | ) |

References ccKeybind_, ccTkeybind_, and RegisterObject.

orxonox::GSLevel::~GSLevel | ( |  | ) |

## Member Function Documentation

void orxonox::GSLevel::activate | ( |  | ) | `[virtual]`

Reimplemented from orxonox::GameState.

References orxonox::CommandExecutor::addConsoleCommandShortcut(), cameraManager_, ccKeybind_, ccTkeybind_, orxonox::createConsoleCommand(), orxonox::InputManager::createInputState(), gameInputState_, orxonox::GraphicsManager::getInstance(), orxonox::InputManager::getInstance(), orxonox::GUIManager::getInstancePtr(), guiKeysOnlyInputState_, guiMouseOnlyInputState_, orxonox::GameMode::isMaster(), keybind(), keyBinder_, keyDetectorCallbackCode_, loadLevel(), notificationManager_, playerManager_, questManager_, radar_, orxonox::InputManager::requestEnterState(), setConfigValues(), orxonox::SimpleInputState::setHandler(), orxonox::InputManager::setKeyDetectorCallback(), orxonox::SimpleInputState::setKeyHandler(), orxonox::SimpleInputState::setMouseHandler(), orxonox::FunctorMember< T >::setObject(), orxonox::GameMode::showsGraphics(), and tkeybind().

void orxonox::GSLevel::deactivate | ( |  | ) | `[virtual]`

Reimplemented from orxonox::GameState.

References cameraManager_, gameInputState_, orxonox::InputManager::getInstance(), guiKeysOnlyInputState_, guiMouseOnlyInputState_, orxonox::GameMode::isMaster(), keyBinder_, notificationManager_, playerManager_, questManager_, radar_, orxonox::InputManager::requestDestroyState(), orxonox::InputManager::requestLeaveState(), orxonox::SimpleInputState::setHandler(), orxonox::GameMode::showsGraphics(), and unloadLevel().

void orxonox::GSLevel::keybind | ( | const std::string & | command | ) | `[protected]`

References keybindInternal().

Referenced by activate().

void orxonox::GSLevel::keybindInternal | ( | const std::string & | command,
|  | bool | bTemporary |
| ) |  |  | `[protected]`

Assigns a command string to a key/button/axis. The name is determined via KeyDetector.

Parameters:

  | command | Command string that can be executed by the CommandExecutor OR: Internal string "KeybindBindingStringKeyName=" used for the second call to identify the key/button/axis that has been activated. This is configured above in activate().

References COUT, orxonox::InputManager::getInstance(), keyBinder_, keyDetectorCallbackCode_, orxonox::InputManager::requestEnterState(), orxonox::InputManager::requestLeaveState(), orxonox::KeyBinder::setBinding(), and orxonox::GameMode::showsGraphics().

Referenced by keybind(), and tkeybind().

void orxonox::GSLevel::loadLevel | ( |  | ) | `[protected]`

References COUT, orxonox::LevelManager::getInstance(), orxonox::Core::getMediaPathString(), orxonox::Loader::open(), and startFile_s.

Referenced by activate().

void orxonox::GSLevel::setConfigValues | ( |  | ) |

Function to collect the SetConfigValue-macro calls.

Reimplemented from orxonox::OrxonoxClass.

References keyDetectorCallbackCode_, and SetConfigValue.

Referenced by activate().

void orxonox::GSLevel::showIngameGUI | ( | bool | show | ) | `[static]`

References orxonox::GUIManager::executeCode(), orxonox::InputManager::getInstance(), orxonox::GUIManager::getInstance(), orxonox::InputManager::requestEnterState(), orxonox::InputManager::requestLeaveState(), and orxonox::GUIManager::showGUI().

void orxonox::GSLevel::tkeybind | ( | const std::string & | command | ) | `[protected]`

References keybindInternal().

Referenced by activate().

void orxonox::GSLevel::unloadLevel | ( |  | ) | `[protected]`

References startFile_s.

Referenced by deactivate().

void orxonox::GSLevel::update | ( | const Clock & | time | ) | `[virtual]`

Reimplemented from orxonox::GameState.

## Member Data Documentation

CameraManager* orxonox::GSLevel::cameraManager_`[protected]`

camera manager for this level

Referenced by activate(), and deactivate().

ConsoleCommand* orxonox::GSLevel::ccKeybind_`[protected]`

Referenced by activate(), and GSLevel().

ConsoleCommand* orxonox::GSLevel::ccTkeybind_`[protected]`

Referenced by activate(), and GSLevel().

SimpleInputState* orxonox::GSLevel::gameInputState_`[protected]`

input state for normal ingame playing

Referenced by activate(), and deactivate().

SimpleInputState* orxonox::GSLevel::guiKeysOnlyInputState_`[protected]`

input state if we only need the keys to use the GUI

Referenced by activate(), and deactivate().

SimpleInputState* orxonox::GSLevel::guiMouseOnlyInputState_`[protected]`

input state if we only need the mouse to use the GUI

Referenced by activate(), and deactivate().

KeyBinder* orxonox::GSLevel::keyBinder_`[protected]`

tool that loads and manages the input bindings

Referenced by activate(), deactivate(), and keybindInternal().

std::string orxonox::GSLevel::keyDetectorCallbackCode_`[protected]`

Referenced by activate(), keybindInternal(), and setConfigValues().

NotificationManager* orxonox::GSLevel::notificationManager_`[protected]`

Referenced by activate(), and deactivate().

PlayerManager* orxonox::GSLevel::playerManager_`[protected]`

player manager for this level

Referenced by activate(), and deactivate().

QuestManager* orxonox::GSLevel::questManager_`[protected]`

Referenced by activate(), and deactivate().

Radar* orxonox::GSLevel::radar_`[protected]`

represents the Radar (not the HUD part)

Referenced by activate(), and deactivate().

XMLFile * orxonox::GSLevel::startFile_s = NULL`[static]`

Referenced by loadLevel(), and unloadLevel().

The documentation for this class was generated from the following files:

- src/orxonox/gamestates/GSLevel.h
- src/orxonox/gamestates/GSLevel.cc